/* BLOCK: Promo */

.block-promo .cta-wrapper {
    display: flex;
    gap: 6.25rem;
    padding-inline: 3.75rem;
    position: relative;
    overflow: hidden;
    isolation: isolate;
    border-radius: 1.5625rem;
    height: 31.25rem;
}

.block-promo .cta-wrapper.text--right {
    flex-direction: row-reverse;
}

.block-promo .bg-wrapper {
    position: absolute;
    inset: 0;
    pointer-events: none;
    z-index: -1;
}

.block-promo .bg-wrapper::after {
    content: '';
    position: absolute;
    inset: 0;
    background-color: var(--c-text-dark);
    opacity: 0.5;
    mix-blend-mode: multiply;
}

.block-promo .bg-wrapper.is-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    pointer-events: none;
    user-select: none;
}

.block-promo .bg-wrapper.is-video video {
    display: block;
    width: 100% !important;
    height: 100% !important;
    min-width: 100%;
    min-height: 100%;
    max-width: unset;
    max-height: unset;
    aspect-ratio: 16 / 9;
    object-fit: cover;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    pointer-events: none;
    user-select: none;
}

.block-promo .bg-wrapper.is-video :is(.wp-video,.mejs-container) {
    height: 100% !important;
}

.block-promo .bg-wrapper.is-oembed iframe {
    display: block;
    width: auto !important;
    height: auto !important;
    min-width: 100%;
    min-height: 100%;
    max-width: unset;
    max-height: unset;
    aspect-ratio: 16 / 9;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    pointer-events: none;
    user-select: none;
}

.block-promo .main-wrapper {
    flex-basis: 1px;
    flex-grow: 1;
    align-self: center;
    display: flex;
    flex-direction: column;
    gap: 3.75rem;
    margin-block: 3.75rem;
    max-width: 40.438rem;
}

.block-promo .text-content > :not(:last-child) {
    margin-bottom: 2.5rem;
}

.block-promo .cta-buttons {
    display: flex;
    align-items: center;
    gap: 0.9375rem;
}

.block-promo .image-wrapper {
    flex-basis: 32.46%;
    width: 32.46%;
    margin-block: 3.75rem;
    border-radius: 0.625rem;
    object-fit: cover;
}

.block-promo .image-bleed--vertical .image-wrapper {
    flex-basis: 32.46%;
    width: 32.46%;
    align-self: flex-end;
    border-radius: 0;
    padding-block: 0;
    object-fit:unset;
    margin-block: 0;
}

.block-promo .cta-wrapper.app-image .image-wrapper {
    margin-top: 3.75rem;
    align-self: flex-start;
    filter: drop-shadow(0rem 0.75rem 1.875rem rgb(from var(--c-text-dark) r g b / .5));
}

.block-promo .cta-wrapper.text--left.image-bleed--horizontal .image-wrapper {
    margin-right: -3.75rem;
    object-fit: contain;
    flex-basis: 39.06%;
    width: 39.06%;
}

.block-promo .cta-wrapper.text--right.image-bleed--horizontal .image-wrapper {
    margin-left: -3.75rem;
    object-fit: contain;
    flex-basis: 39.06%;
    width: 39.06%;
}

.block-promo .cta-wrapper.text--left.image-bleed--horizontal,
.block-promo .cta-wrapper.text--right.image-bleed--horizontal {
    gap: 5.438rem;
}

.block-promo .cta-wrapper.text--center {
    justify-content: center;
}

.block-promo .cta-wrapper.text--center .main-wrapper {
    align-items: center;
}

.block-promo .cta-wrapper.text--center .main-wrapper :where(h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6, .h7, p) {
    text-align: center;
}

.block-promo .text-content h6 {
    color: var(--c-tertiary);
}

@media screen and (width <= 920px) {
    .block-promo .cta-wrapper {
        gap: 2.5rem;
        padding-inline: 1.875rem;
        border-radius: 1.125rem;
    }

    .block-promo .main-wrapper {
        margin-block: 1.875rem;
        gap: 2.5rem;
        max-width: 90%;
    }

    .block-promo .text-content > :not(:last-child) {
        margin-bottom: 1.875rem;
    }

    .block-promo .image-wrapper {
        flex-basis: 40%;
        width: 40%;
    }

    .block-promo .cta-wrapper {
        min-height: 23.75rem;
    }
}

@media screen and (width <= 620px) {
    .block-promo .cta-wrapper,
    .block-promo .cta-wrapper.text--right,
    .block-promo .cta-wrapper.text--left {
        flex-direction: column;
        padding: 1.875rem;
        gap: 1.25rem;
        min-height: 100%;
        height: 100%;
    }

    .block-promo .main-wrapper {
        margin: 0;
        max-width: 100%;
    }

    .block-promo .text-content {
        text-align: center;
    }

    .block-promo .cta-buttons {
        justify-content: center;
        gap: 0.5rem;
    }

    .block-promo .image-wrapper {
        align-self: center;
        flex-basis: unset;
        width: 100%;
        max-width: 20rem;
        margin-block: 0;
    }

    .block-promo .image-bleed--vertical .image-wrapper {
        flex-basis: 100%;
        width: 100%;
        max-width: 60vw;
        align-self: center;
    }

    .block-promo .cta-wrapper.app-image .image-wrapper {
        margin-top: 1.875rem;
        align-self: center;
        width: 100%;
        max-width: 18.125rem;
        flex-basis: unset;
        aspect-ratio: 0.88;
        object-fit: cover;
        object-position: top center;
    }

    .block-promo .image-bleed--vertical.cta-wrapper.text--right,
    .block-promo .image-bleed--vertical.cta-wrapper.text--left {
        padding: 1.875rem 1.875rem 0;
    }

    .block-promo .cta-wrapper.text--left.image-bleed--horizontal .image-wrapper {
        margin-right: -1.875rem;
        object-fit: contain;
        flex-basis: 100%;
        width: 100%;
        align-self: flex-end;
    }

    .block-promo .cta-wrapper.text--right.image-bleed--horizontal .image-wrapper {
        margin-left: -1.875rem;
        object-fit: contain;
        flex-basis: 100%;
        width: 100%;
        align-self: flex-start;
    }

    .block-promo .cta-wrapper.text--left.image-bleed--horizontal, .block-promo .cta-wrapper.text--right.image-bleed--horizontal {
        gap: 1.25rem;
    }
}